%global base_name Time-Local
%global base_version 1.30

Name:            perl-Time-Local
Epoch:           2
Version:         %{base_version}0
Release:         1
Summary:         Efficiently compute time from local and GMT time
License:         GPL+ or Artistic
URL:             https://metacpan.org/release/Time-Local
Source0:         https://cpan.metacpan.org/authors/id/D/DR/DROLSKY/%{base_name}-%{base_version}.tar.gz

BuildArch:       noarch
BuildRequires:   make perl-generators perl-interpreter perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:   perl(strict) perl(warnings) perl(Carp) perl(constant) perl(Exporter)
BuildRequires:   perl(parent) perl(File::Spec) perl(Test::More) >= 0.96
Requires:        perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
This module provides functions that are the inverse of built-in perl functions localtime()
and gmtime(). They accept a date as a six-element array, and return the corresponding time(2)
value in seconds since the system epoch (Midnight, January 1, 1970 GMT on Unix, for example).

%package_help

%prep
%autosetup -n %{base_name}-%{base_version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PERLLOCAL=1 NO_PACKLIST=1
%make_build

%install
%make_install
%{_fixperms} %{buildroot}/*

%check
make test

%files
%doc README.md
%license LICENSE
%{perl_vendorlib}/*

%files help
%doc Changes CONTRIBUTING.md
%{_mandir}/man3/*

%changelog
* Fri Aug 21 2020 wuchaochao <wuchaochao4@huawei.com> - 2:1.300-1
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:update version to 1.300

* Sat Dec 21 2019 openEuler Buildteam <buildteam@openeuler.org> - 2:1.280-6
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:change mod of files

* Fri Sep 27 2019 chengquan<chengquan3@huawei.com> - 2:1.280-5
- Type:bugfix
- ID:NA
- SUG:NA
- DESC:merge package

* Mon Sep 16 2019 openEuler Buildteam <buildteam@openeuler.org> - 2:1.280-4
- Package init
